<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsMfm Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_xs_mfm-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsMfm Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>High level Magnetic Field Mapper (MFM) management class.  
 <a href="struct_xs_mfm.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a34b35a888e1c473733efd83c7c59861f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34b35a888e1c473733efd83c7c59861f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a34b35a888e1c473733efd83c7c59861f">destruct</a> (void)</td></tr>
<tr class="memdesc:a34b35a888e1c473733efd83c7c59861f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destruct a <a class="el" href="struct_xs_mfm.html" title="High level Magnetic Field Mapper (MFM) management class. ">XsMfm</a> object and free all memory allocated for it. <br /></td></tr>
<tr class="separator:a34b35a888e1c473733efd83c7c59861f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77abcbf1616cf717824ceb35729f120e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77abcbf1616cf717824ceb35729f120e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a77abcbf1616cf717824ceb35729f120e">reset</a> (void)</td></tr>
<tr class="memdesc:a77abcbf1616cf717824ceb35729f120e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets <a class="el" href="struct_xs_mfm.html" title="High level Magnetic Field Mapper (MFM) management class. ">XsMfm</a>. Clears any detected devices. <br /></td></tr>
<tr class="separator:a77abcbf1616cf717824ceb35729f120e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c4a0eebb3d06835e94c6522c85e00fa"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a4c4a0eebb3d06835e94c6522c85e00fa">scanMfmDevices</a> (void)</td></tr>
<tr class="memdesc:a4c4a0eebb3d06835e94c6522c85e00fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts a scan for devices of which the magnetic field can be mapped.  <a href="#a4c4a0eebb3d06835e94c6522c85e00fa">More...</a><br /></td></tr>
<tr class="separator:a4c4a0eebb3d06835e94c6522c85e00fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dda38fb00756429bcf1aca5bfb308ae"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a3dda38fb00756429bcf1aca5bfb308ae">scanMfmDevice</a> (const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;portInfo)</td></tr>
<tr class="memdesc:a3dda38fb00756429bcf1aca5bfb308ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts a scan on a specific port for a device of which the magnetic field can be mapped.  <a href="#a3dda38fb00756429bcf1aca5bfb308ae">More...</a><br /></td></tr>
<tr class="separator:a3dda38fb00756429bcf1aca5bfb308ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ad65aa03dde059704aa1fa064d389ef"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a3ad65aa03dde059704aa1fa064d389ef">loadInputFile</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;inputFile, const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;deviceIds, <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;detectedDeviceIds)</td></tr>
<tr class="memdesc:a3ad65aa03dde059704aa1fa064d389ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Load a file which contains a magnetic field mapping movement.  <a href="#a3ad65aa03dde059704aa1fa064d389ef">More...</a><br /></td></tr>
<tr class="separator:a3ad65aa03dde059704aa1fa064d389ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59098ab1a8e7d8bfd5774f5a38fcaca3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a59098ab1a8e7d8bfd5774f5a38fcaca3">loadedDeviceId</a> (void) const </td></tr>
<tr class="separator:a59098ab1a8e7d8bfd5774f5a38fcaca3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a652dc51378e66f317cfb2af32c45d732"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a652dc51378e66f317cfb2af32c45d732">loadedDeviceIds</a> (void) const </td></tr>
<tr class="separator:a652dc51378e66f317cfb2af32c45d732"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb055bbc528d9dad3bec6d1b883c693a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#acb055bbc528d9dad3bec6d1b883c693a">master</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;deviceId) const </td></tr>
<tr class="memdesc:acb055bbc528d9dad3bec6d1b883c693a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the device id of the master of a deviceid.  <a href="#acb055bbc528d9dad3bec6d1b883c693a">More...</a><br /></td></tr>
<tr class="separator:acb055bbc528d9dad3bec6d1b883c693a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af09c3bd635f53152eac40f9827e13643"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#af09c3bd635f53152eac40f9827e13643">startLogging</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;deviceId, const <a class="el" href="struct_xs_string.html">XsString</a> &amp;logfilename)</td></tr>
<tr class="memdesc:af09c3bd635f53152eac40f9827e13643"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts logging data for the magnetic field mapping movement.  <a href="#af09c3bd635f53152eac40f9827e13643">More...</a><br /></td></tr>
<tr class="separator:af09c3bd635f53152eac40f9827e13643"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24e2d97561cfe65d5f02636f62e6074b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a24e2d97561cfe65d5f02636f62e6074b">startLogging</a> (const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;deviceIdArray, const <a class="el" href="struct_xs_string_array.html">XsStringArray</a> &amp;logfilenameArray, <a class="el" href="struct_xs_string_array.html">XsStringArray</a> &amp;finalFilenameArray)</td></tr>
<tr class="memdesc:a24e2d97561cfe65d5f02636f62e6074b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts logging data for the magnetic field mapping movement.  <a href="#a24e2d97561cfe65d5f02636f62e6074b">More...</a><br /></td></tr>
<tr class="separator:a24e2d97561cfe65d5f02636f62e6074b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1036dfbd34046fc1ab6e904f1e0a9ae1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a1036dfbd34046fc1ab6e904f1e0a9ae1">stopLogging</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;deviceId)</td></tr>
<tr class="memdesc:a1036dfbd34046fc1ab6e904f1e0a9ae1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop logging data for the magnetic field mapping movement.  <a href="#a1036dfbd34046fc1ab6e904f1e0a9ae1">More...</a><br /></td></tr>
<tr class="separator:a1036dfbd34046fc1ab6e904f1e0a9ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a494f56b324916d051e4fdfb19c8c76aa"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a494f56b324916d051e4fdfb19c8c76aa">stopLogging</a> (const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;deviceIdArray)</td></tr>
<tr class="memdesc:a494f56b324916d051e4fdfb19c8c76aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop logging data for the magnetic field mapping movement.  <a href="#a494f56b324916d051e4fdfb19c8c76aa">More...</a><br /></td></tr>
<tr class="separator:a494f56b324916d051e4fdfb19c8c76aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e88b47745228ddae7b68d2edad8496f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a7e88b47745228ddae7b68d2edad8496f">startProcessing</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;deviceId)</td></tr>
<tr class="memdesc:a7e88b47745228ddae7b68d2edad8496f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the magnetic field mapping.  <a href="#a7e88b47745228ddae7b68d2edad8496f">More...</a><br /></td></tr>
<tr class="separator:a7e88b47745228ddae7b68d2edad8496f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a113deda893aae383e2c5b2059eb155b4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a113deda893aae383e2c5b2059eb155b4">startProcessing</a> (const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;deviceIdArray)</td></tr>
<tr class="memdesc:a113deda893aae383e2c5b2059eb155b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the magnetic field mapping.  <a href="#a113deda893aae383e2c5b2059eb155b4">More...</a><br /></td></tr>
<tr class="separator:a113deda893aae383e2c5b2059eb155b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab90682d8bf1edf4520a0c7e965b11582"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#ab90682d8bf1edf4520a0c7e965b11582">writeResultToMt</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;deviceId) const </td></tr>
<tr class="memdesc:ab90682d8bf1edf4520a0c7e965b11582"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the result of the magnetic field mapping to the device.  <a href="#ab90682d8bf1edf4520a0c7e965b11582">More...</a><br /></td></tr>
<tr class="separator:ab90682d8bf1edf4520a0c7e965b11582"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8bae073a5412faee755e29e38e33bd0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#ab8bae073a5412faee755e29e38e33bd0">writeResultToMt</a> (const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;deviceIdArray) const </td></tr>
<tr class="memdesc:ab8bae073a5412faee755e29e38e33bd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the results of the magnetic field mapping to the devices.  <a href="#ab8bae073a5412faee755e29e38e33bd0">More...</a><br /></td></tr>
<tr class="separator:ab8bae073a5412faee755e29e38e33bd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad653ba94466c98184945353c0b6d447f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_string.html">XsString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#ad653ba94466c98184945353c0b6d447f">writeResultToString</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;deviceId) const </td></tr>
<tr class="memdesc:ad653ba94466c98184945353c0b6d447f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the result of the magnetic field mapping to a string.  <a href="#ad653ba94466c98184945353c0b6d447f">More...</a><br /></td></tr>
<tr class="separator:ad653ba94466c98184945353c0b6d447f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a705a3ae378d0b5f33793eaac0904c6f1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a705a3ae378d0b5f33793eaac0904c6f1">writeResultToFile</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;deviceId, const <a class="el" href="struct_xs_string.html">XsString</a> &amp;filename) const </td></tr>
<tr class="memdesc:a705a3ae378d0b5f33793eaac0904c6f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the result of the magnetic field mapping to the file.  <a href="#a705a3ae378d0b5f33793eaac0904c6f1">More...</a><br /></td></tr>
<tr class="separator:a705a3ae378d0b5f33793eaac0904c6f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc407679cef04b759b3466a399ac9ff5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#abc407679cef04b759b3466a399ac9ff5">writeResultToFile</a> (const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;deviceIdArray, const <a class="el" href="struct_xs_string_array.html">XsStringArray</a> &amp;filenameArray) const </td></tr>
<tr class="memdesc:abc407679cef04b759b3466a399ac9ff5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the result of the magnetic field mapping to the file.  <a href="#abc407679cef04b759b3466a399ac9ff5">More...</a><br /></td></tr>
<tr class="separator:abc407679cef04b759b3466a399ac9ff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8827ba5b400da884ae4eb045580cc26a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a8827ba5b400da884ae4eb045580cc26a">clearCallbackHandlers</a> (bool chain=true)</td></tr>
<tr class="memdesc:a8827ba5b400da884ae4eb045580cc26a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the callback handler list.  <a href="#a8827ba5b400da884ae4eb045580cc26a">More...</a><br /></td></tr>
<tr class="separator:a8827ba5b400da884ae4eb045580cc26a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaef1cf99e4c4773e06a8c5c065b8a4fa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#aaef1cf99e4c4773e06a8c5c065b8a4fa">addCallbackHandler</a> (<a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *cb, bool chain=true)</td></tr>
<tr class="memdesc:aaef1cf99e4c4773e06a8c5c065b8a4fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a callback handler to the list.  <a href="#aaef1cf99e4c4773e06a8c5c065b8a4fa">More...</a><br /></td></tr>
<tr class="separator:aaef1cf99e4c4773e06a8c5c065b8a4fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0db8a79de07f00a9a94a8745200febe3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a0db8a79de07f00a9a94a8745200febe3">removeCallbackHandler</a> (<a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *cb, bool chain=true)</td></tr>
<tr class="memdesc:a0db8a79de07f00a9a94a8745200febe3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a handler from the list.  <a href="#a0db8a79de07f00a9a94a8745200febe3">More...</a><br /></td></tr>
<tr class="separator:a0db8a79de07f00a9a94a8745200febe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0101b6ba1946c2e91e4194a68a60cf5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#ad0101b6ba1946c2e91e4194a68a60cf5">isValid</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:ad0101b6ba1946c2e91e4194a68a60cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e93ea090ea2dbc0262ad0694f71640e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a9e93ea090ea2dbc0262ad0694f71640e">isMap3D</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a9e93ea090ea2dbc0262ad0694f71640e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a728b3101a350d00a530953334a2a79cd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_version.html">XsVersion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a728b3101a350d00a530953334a2a79cd">getVersion</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a728b3101a350d00a530953334a2a79cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a057a408bcc86f39b05a93761bd239ed7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_matrix.html">XsMatrix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a057a408bcc86f39b05a93761bd239ed7">getMagFieldMeas</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a057a408bcc86f39b05a93761bd239ed7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8da020cb92e60a353a349f69d752f3aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_matrix.html">XsMatrix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a8da020cb92e60a353a349f69d752f3aa">getVerticalMeas</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a8da020cb92e60a353a349f69d752f3aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08cbb515f73b5f4e70709fa7a32457ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_matrix.html">XsMatrix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a08cbb515f73b5f4e70709fa7a32457ab">getMagFieldMfm</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a08cbb515f73b5f4e70709fa7a32457ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b9740f3a538cc91347024648057370d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_matrix.html">XsMatrix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a1b9740f3a538cc91347024648057370d">getGeoSelMagFieldMfmModel</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a1b9740f3a538cc91347024648057370d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a872ed01c26b4acbfd515e33da670904c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a872ed01c26b4acbfd515e33da670904c">getHardIronCompensation</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a872ed01c26b4acbfd515e33da670904c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab25900c7f70d0cc352f8b901407ea725"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_matrix.html">XsMatrix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#ab25900c7f70d0cc352f8b901407ea725">getSoftIronCompensation</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:ab25900c7f70d0cc352f8b901407ea725"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40acc7d6d79f3faf15c38ecfc62f84a1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a40acc7d6d79f3faf15c38ecfc62f84a1">getGeoSelMfm</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a40acc7d6d79f3faf15c38ecfc62f84a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6082909d3ff0dfe254819b9f383103f8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_matrix.html">XsMatrix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a6082909d3ff0dfe254819b9f383103f8">getGeoSelMagFieldMeas</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a6082909d3ff0dfe254819b9f383103f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34438f7a9946dfaecda51e4ca64f5b4e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_matrix.html">XsMatrix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a34438f7a9946dfaecda51e4ca64f5b4e">getGeoSelMagFieldMfm</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a34438f7a9946dfaecda51e4ca64f5b4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23ac8f0df70164744147269ab0c8c9ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a23ac8f0df70164744147269ab0c8c9ab">getNormMagFieldMeas</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a23ac8f0df70164744147269ab0c8c9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c329f388991fefbd88e8e699cfe1f42"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a1c329f388991fefbd88e8e699cfe1f42">getNormGeoSelMagFieldMeas</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a1c329f388991fefbd88e8e699cfe1f42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ea4a397756dba40ded10a93d8c0e6c5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a6ea4a397756dba40ded10a93d8c0e6c5">getNormMagFieldMfm</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a6ea4a397756dba40ded10a93d8c0e6c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a930eeb30e123fb9268976c16542454f2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a930eeb30e123fb9268976c16542454f2">getHistResidualsModel</a> (void) const </td></tr>
<tr class="separator:a930eeb30e123fb9268976c16542454f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a038e19e4ed8ecca9138790e5415aa6b1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a038e19e4ed8ecca9138790e5415aa6b1">getNormalizedHistResidualVertical</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a038e19e4ed8ecca9138790e5415aa6b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d0c34ed921aa0183e301d77ce143974"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a4d0c34ed921aa0183e301d77ce143974">getNormalizedHistResidualDipAngle</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a4d0c34ed921aa0183e301d77ce143974"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66ecf95feac6113063c75ce38f7a5ca4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a66ecf95feac6113063c75ce38f7a5ca4">getNormalizedHistResidualMagnetic</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> deviceId) const </td></tr>
<tr class="separator:a66ecf95feac6113063c75ce38f7a5ca4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80f8c81d29758214633f8f6149644027"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a80f8c81d29758214633f8f6149644027">getHistResidualsModelBins</a> (void) const </td></tr>
<tr class="memdesc:a80f8c81d29758214633f8f6149644027"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the bins used in <a class="el" href="struct_xs_mfm.html#a930eeb30e123fb9268976c16542454f2">getHistResidualsModel()</a> call Bins is a vector with values ranging from -8.0 to 8.0 with stepsize 0.01.  <a href="#a80f8c81d29758214633f8f6149644027">More...</a><br /></td></tr>
<tr class="separator:a80f8c81d29758214633f8f6149644027"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64b95510dfa269c2637e8f6ad53742f7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a64b95510dfa269c2637e8f6ad53742f7">getNormalizedHistResidualBins</a> (void) const </td></tr>
<tr class="memdesc:a64b95510dfa269c2637e8f6ad53742f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the bins used in getNormalizedHistResidualXXXX() calls Bins is a vector with values ranging from -8.0 to 8.0 with stepsize 0.2.  <a href="#a64b95510dfa269c2637e8f6ad53742f7">More...</a><br /></td></tr>
<tr class="separator:a64b95510dfa269c2637e8f6ad53742f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2899680d63dca1d587b530b44aedbf83"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a2899680d63dca1d587b530b44aedbf83">~XsMfm</a> ()</td></tr>
<tr class="memdesc:a2899680d63dca1d587b530b44aedbf83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor, calls <a class="el" href="struct_xs_mfm.html#a34b35a888e1c473733efd83c7c59861f" title="Destruct a XsMfm object and free all memory allocated for it. ">destruct()</a> function to clean up object.  <a href="#a2899680d63dca1d587b530b44aedbf83">More...</a><br /></td></tr>
<tr class="separator:a2899680d63dca1d587b530b44aedbf83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71c493e81842c570d1b973e03513ecea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71c493e81842c570d1b973e03513ecea"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a71c493e81842c570d1b973e03513ecea">operator delete</a> (void *)</td></tr>
<tr class="memdesc:a71c493e81842c570d1b973e03513ecea"><td class="mdescLeft">&#160;</td><td class="mdescRight">overloaded delete operator to allow user to use delete instead of calling <a class="el" href="struct_xs_mfm.html#a34b35a888e1c473733efd83c7c59861f" title="Destruct a XsMfm object and free all memory allocated for it. ">destruct()</a> function <br /></td></tr>
<tr class="separator:a71c493e81842c570d1b973e03513ecea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a54ce42a3f235a00b16df923793daa99d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54ce42a3f235a00b16df923793daa99d"></a>
static <a class="el" href="struct_xs_mfm.html">XsMfm</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a54ce42a3f235a00b16df923793daa99d">construct</a> (void)</td></tr>
<tr class="memdesc:a54ce42a3f235a00b16df923793daa99d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new XsMfm* object. Clean it up with the <a class="el" href="struct_xs_mfm.html#a34b35a888e1c473733efd83c7c59861f" title="Destruct a XsMfm object and free all memory allocated for it. ">destruct()</a> function or delete the object. <br /></td></tr>
<tr class="separator:a54ce42a3f235a00b16df923793daa99d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d503211f830a452aec8c9f7809149f3"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="struct_xs_version.html">XsVersion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_mfm.html#a9d503211f830a452aec8c9f7809149f3">version</a> (void)</td></tr>
<tr class="memdesc:a9d503211f830a452aec8c9f7809149f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the version of the FWU dll.  <a href="#a9d503211f830a452aec8c9f7809149f3">More...</a><br /></td></tr>
<tr class="separator:a9d503211f830a452aec8c9f7809149f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>High level Magnetic Field Mapper (MFM) management class. </p>
<p>Most functions return a boolean indicating success, a null-object, empty lists or nothing at all. In some cases more in-depth knowledge of the error is required (</p><dl class="section see"><dt>See also</dt><dd><a class="el" href="struct_xs_mfm.html#a3ad65aa03dde059704aa1fa064d389ef" title="Load a file which contains a magnetic field mapping movement. ">loadInputFile</a>). Therefore they return an <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72" title="Xsens result values. ">XsResultValue</a></dd></dl>
<dl class="section note"><dt>Note</dt><dd>This object cannot be copied. The copy constructor has been disabled. </dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2899680d63dca1d587b530b44aedbf83"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsMfm::~XsMfm </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor, calls <a class="el" href="struct_xs_mfm.html#a34b35a888e1c473733efd83c7c59861f" title="Destruct a XsMfm object and free all memory allocated for it. ">destruct()</a> function to clean up object. </p>
<p>Destroy this Xsens Mfm object. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aaef1cf99e4c4773e06a8c5c065b8a4fa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsMfm::addCallbackHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *&#160;</td>
          <td class="paramname"><em>cb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>chain</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add a callback handler to the list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cb</td><td>The handler to add to the list. </td></tr>
    <tr><td class="paramname">chain</td><td>When set to true (default) the callback is added to connected devices as well </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>NULL and duplicate handlers are ignored, but chaining is still done. </dd></dl>

</div>
</div>
<a class="anchor" id="a8827ba5b400da884ae4eb045580cc26a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsMfm::clearCallbackHandlers </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>chain</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Clear the callback handler list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">chain</td><td>Whether to clear the callback handlers of all connected devices as well (true, default) or just the callback handlers of the XsMfm object (false) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6082909d3ff0dfe254819b9f383103f8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_matrix.html">XsMatrix</a> XsMfm::getGeoSelMagFieldMeas </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the geoSelMagFieldMeas data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>this data is not part of the MfmOutput but is generated from the MfmOutput </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a34438f7a9946dfaecda51e4ca64f5b4e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_matrix.html">XsMatrix</a> XsMfm::getGeoSelMagFieldMfm </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the geoSelMagFieldMfm data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>this data is not part of the MfmOutput but is generated from the MfmOutput </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1b9740f3a538cc91347024648057370d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_matrix.html">XsMatrix</a> XsMfm::getGeoSelMagFieldMfmModel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the geoSelMagFieldMfmModel data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>when the geoSelMagFieldMfmModel is invalid, returns a pointer to a default matrix instead </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a40acc7d6d79f3faf15c38ecfc62f84a1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getGeoSelMfm </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the geoSelMfm data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>when the geoSelMfm is invalid, returns a pointer to a default vector instead </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a872ed01c26b4acbfd515e33da670904c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getHardIronCompensation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the hardIronCompensation data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>when the hardIronCompensation is invalid, returns a pointer to a default matrix instead </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a930eeb30e123fb9268976c16542454f2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getHistResidualsModel </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the HistResidualsModel, calculates gaussian distribution </dd></dl>

</div>
</div>
<a class="anchor" id="a80f8c81d29758214633f8f6149644027"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getHistResidualsModelBins </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the bins used in <a class="el" href="struct_xs_mfm.html#a930eeb30e123fb9268976c16542454f2">getHistResidualsModel()</a> call Bins is a vector with values ranging from -8.0 to 8.0 with stepsize 0.01. </p>
<dl class="section return"><dt>Returns</dt><dd>the Bins used in the <a class="el" href="struct_xs_mfm.html#a930eeb30e123fb9268976c16542454f2">getHistResidualsModel()</a> call </dd></dl>

</div>
</div>
<a class="anchor" id="a057a408bcc86f39b05a93761bd239ed7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_matrix.html">XsMatrix</a> XsMfm::getMagFieldMeas </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the magFieldMeas data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>when the magFieldMeasData is invalid, returns a pointer to a default matrix instead </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a08cbb515f73b5f4e70709fa7a32457ab"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_matrix.html">XsMatrix</a> XsMfm::getMagFieldMfm </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the magFieldMfm data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>when the magFieldMfm is invalid, returns a pointer to a default matrix instead </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a64b95510dfa269c2637e8f6ad53742f7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getNormalizedHistResidualBins </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the bins used in getNormalizedHistResidualXXXX() calls Bins is a vector with values ranging from -8.0 to 8.0 with stepsize 0.2. </p>
<dl class="section return"><dt>Returns</dt><dd>the Bins used in the getNormalizedHistResidualXXXX() calls </dd></dl>

</div>
</div>
<a class="anchor" id="a4d0c34ed921aa0183e301d77ce143974"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getNormalizedHistResidualDipAngle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the normalizedHistResidualDipAngle data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>this data is not part of the MfmOutput but is generated from the MfmOutput </dd>
<dd>
if the data is not present, a default vector is returned </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a66ecf95feac6113063c75ce38f7a5ca4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getNormalizedHistResidualMagnetic </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the normalizedHistResidualMagnetic data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>this data is not part of the MfmOutput but is generated from the MfmOutput </dd>
<dd>
if the data is not present, a default vector is returned </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a038e19e4ed8ecca9138790e5415aa6b1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getNormalizedHistResidualVertical </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the normalizedHistResidualVertical data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>this data is not part of the MfmOutput but is generated from the MfmOutput </dd>
<dd>
if the data is not present, a default vector is returned </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1c329f388991fefbd88e8e699cfe1f42"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getNormGeoSelMagFieldMeas </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the normGeoSelMagFieldMeas data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>this data is not part of the MfmOutput but is generated from the MfmOutput </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a23ac8f0df70164744147269ab0c8c9ab"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getNormMagFieldMeas </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the normMagFieldMeas data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>this data is not part of the MfmOutput but is generated from the MfmOutput </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6ea4a397756dba40ded10a93d8c0e6c5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_vector.html">XsVector</a> XsMfm::getNormMagFieldMfm </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the normMagFieldMfm data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>this data is not part of the MfmOutput but is generated from the MfmOutput </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab25900c7f70d0cc352f8b901407ea725"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_matrix.html">XsMatrix</a> XsMfm::getSoftIronCompensation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the softIronCompensation data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>when the softIronCompensation is invalid, returns a pointer to a default matrix instead </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a728b3101a350d00a530953334a2a79cd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_version.html">XsVersion</a> XsMfm::getVersion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the <a class="el" href="struct_xs_version.html" title="A class to store version information. ">XsVersion</a> of the MfmOutput for a specified deviceId </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8da020cb92e60a353a349f69d752f3aa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_matrix.html">XsMatrix</a> XsMfm::getVerticalMeas </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the verticalMeas data of the MfmOutput for a specified deviceId </dd></dl>
<dl class="section note"><dt>Note</dt><dd>when the verticalMeas is invalid, returns a pointer to a default matrix instead </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9e93ea090ea2dbc0262ad0694f71640e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::isMap3D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>true when the MfmOutput for a specified deviceId has a 3D mapping as opposed to a 2D mapping </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad0101b6ba1946c2e91e4194a68a60cf5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::isValid </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>true when the MfmOutput for a specified deviceId is valid </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceId</td><td>the deviceId </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a59098ab1a8e7d8bfd5774f5a38fcaca3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a> XsMfm::loadedDeviceId </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the device id which found in the just load file using loadInputFile </dd></dl>

</div>
</div>
<a class="anchor" id="a652dc51378e66f317cfb2af32c45d732"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> XsMfm::loadedDeviceIds </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>the device ids which were found in the just load files using loadInputFile </dd></dl>

</div>
</div>
<a class="anchor" id="a3ad65aa03dde059704aa1fa064d389ef"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a> XsMfm::loadInputFile </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_string.html">XsString</a> &amp;&#160;</td>
          <td class="paramname"><em>inputFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceIds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;&#160;</td>
          <td class="paramname"><em>detectedDeviceIds</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Load a file which contains a magnetic field mapping movement. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inputFile</td><td>The mtb file that contains the magnetic field mapping recording </td></tr>
    <tr><td class="paramname">deviceIds</td><td>The live device(s) of which the inputFile contains a recording </td></tr>
    <tr><td class="paramname">detectedDeviceIds</td><td>The device IDs that were found in the file </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><ul>
<li>XRV_OK The file is ok,</li>
<li>XRV_UNEXPECTEDMSG The file does not contain the required data</li>
<li>XRV_UNSUPPORTED The file is from a different motion tracker then deviceId</li>
<li>XRV_NULLPTR There is no device found in the log file </li>
</ul>
</dd></dl>

</div>
</div>
<a class="anchor" id="acb055bbc528d9dad3bec6d1b883c693a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a> XsMfm::master </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the device id of the master of a deviceid. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>The device id of which the master is requested </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the device id of the master of the requested device </dd></dl>

</div>
</div>
<a class="anchor" id="a0db8a79de07f00a9a94a8745200febe3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsMfm::removeCallbackHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *&#160;</td>
          <td class="paramname"><em>cb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>chain</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Remove a handler from the list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cb</td><td>The handler to remove from the list. </td></tr>
    <tr><td class="paramname">chain</td><td>When set to true (default) the callback is added to connected devices as well </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>If <em>cb</em> is not found in the list or if <em>cb</em> is NULL, the list is not changed, but chaining is still done. </dd></dl>

</div>
</div>
<a class="anchor" id="a3dda38fb00756429bcf1aca5bfb308ae"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::scanMfmDevice </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>portInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Starts a scan on a specific port for a device of which the magnetic field can be mapped. </p>
<p>The ScanDone callback is called when the scan is done </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">portInfo</td><td>Port information on what port needs to be scanned. At least portName is required, baudrate is optional </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the scan was started successfully </dd></dl>

</div>
</div>
<a class="anchor" id="a4c4a0eebb3d06835e94c6522c85e00fa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::scanMfmDevices </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Starts a scan for devices of which the magnetic field can be mapped. </p>
<p>The ScanDone callback is called when the scan is done </p><dl class="section return"><dt>Returns</dt><dd>Whether the scan was started successfully </dd></dl>

</div>
</div>
<a class="anchor" id="af09c3bd635f53152eac40f9827e13643"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::startLogging </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_xs_string.html">XsString</a> &amp;&#160;</td>
          <td class="paramname"><em>logfilename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Starts logging data for the magnetic field mapping movement. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>The device for which the logging is started </td></tr>
    <tr><td class="paramname">logfilename</td><td>The name of the file to which the movement is logged </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the device could not start logging </dd></dl>

</div>
</div>
<a class="anchor" id="a24e2d97561cfe65d5f02636f62e6074b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::startLogging </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceIdArray</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_xs_string_array.html">XsStringArray</a> &amp;&#160;</td>
          <td class="paramname"><em>logfilenameArray</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_xs_string_array.html">XsStringArray</a> &amp;&#160;</td>
          <td class="paramname"><em>finalFilenameArray</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Starts logging data for the magnetic field mapping movement. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">deviceIdArray</td><td>The array of devices for which the logging is started </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">logfilenameArray</td><td>The matching array of filenames to which the movement is logged </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">finalFilenameArray</td><td>The array of actually used filenames. In some cases multiple devices will log to the same file, in which case the last supplied filename will be used. The finalFilenamArray will contain the actually used filename for each device. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the deviceid is not valid or the array sizes do not match </dd></dl>

</div>
</div>
<a class="anchor" id="a7e88b47745228ddae7b68d2edad8496f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::startProcessing </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Start the magnetic field mapping. </p>
<p>onMfmDone is called when the magnetic field mapping is done </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>The device for which to start the magnetic field mapping calculations </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the deviceId was not correct </dd></dl>

</div>
</div>
<a class="anchor" id="a113deda893aae383e2c5b2059eb155b4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::startProcessing </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceIdArray</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Start the magnetic field mapping. </p>
<p>onMfmDone is called when the magnetic field mapping is done </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceIdArray</td><td>The array of devices for which to start the magnetic field mapping calculations </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the deviceId was not correct </dd></dl>

</div>
</div>
<a class="anchor" id="a1036dfbd34046fc1ab6e904f1e0a9ae1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::stopLogging </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Stop logging data for the magnetic field mapping movement. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>The device for which the logging is stopped </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the deviceId was not correct or the device was not recording or the orientation reset was not restored correctly </dd></dl>

</div>
</div>
<a class="anchor" id="a494f56b324916d051e4fdfb19c8c76aa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::stopLogging </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceIdArray</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Stop logging data for the magnetic field mapping movement. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceIdArray</td><td>The array of devices for which the logging is stopped </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the deviceId was not correct or the device was not recording </dd></dl>

</div>
</div>
<a class="anchor" id="a9d503211f830a452aec8c9f7809149f3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_version.html">XsVersion</a> XsMfm::version </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the version of the FWU dll. </p>
<dl class="section return"><dt>Returns</dt><dd>The version information of the FWU dll. </dd></dl>

</div>
</div>
<a class="anchor" id="a705a3ae378d0b5f33793eaac0904c6f1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::writeResultToFile </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_xs_string.html">XsString</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Write the result of the magnetic field mapping to the file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>The device of which to write the magnetic field mapping results </td></tr>
    <tr><td class="paramname">filename</td><td>The file to which the results are written </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the deviceId was not correct or the file could not be created </dd></dl>

</div>
</div>
<a class="anchor" id="abc407679cef04b759b3466a399ac9ff5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::writeResultToFile </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceIdArray</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_xs_string_array.html">XsStringArray</a> &amp;&#160;</td>
          <td class="paramname"><em>filenameArray</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Write the result of the magnetic field mapping to the file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceIdArray</td><td>The array of devices of which to write the magnetic field mapping results </td></tr>
    <tr><td class="paramname">filenameArray</td><td>The matching array of files to which the results are written </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the deviceId was not correct, the file could not be created or the array sizes do not match </dd></dl>

</div>
</div>
<a class="anchor" id="ab90682d8bf1edf4520a0c7e965b11582"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::writeResultToMt </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Write the result of the magnetic field mapping to the device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>The device to which to write the magnetic field mapping results </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the deviceId was not correct or the result could not be written </dd></dl>

</div>
</div>
<a class="anchor" id="ab8bae073a5412faee755e29e38e33bd0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsMfm::writeResultToMt </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceIdArray</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Write the results of the magnetic field mapping to the devices. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceIdArray</td><td>The array of devices to which to write the magnetic field mapping results </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False when the deviceId was not correct or the result could not be written </dd></dl>

</div>
</div>
<a class="anchor" id="ad653ba94466c98184945353c0b6d447f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_string.html">XsString</a> XsMfm::writeResultToString </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Write the result of the magnetic field mapping to a string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>The device of which to write the magnetic field mapping results </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The formatted string </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
